node.js - नोड सास अभी तक आपके वर्तमान वातावरण का समर्थन नहीं करता है: लिनक्स 64-बिट असत्य के साथ




sass archlinux (10)

नोड-एसएएस के साथ आर्क लिनक्स पर यह त्रुटि हो रही है। मैं इसे gulp-sass साथ उपयोग कर रहा हूं।

Node Sass does not yet support your current environment: Linux 64-bit with false

संस्करण

$ gulp -v
[19:43:15] CLI version 3.9.1
[19:43:15] Local version 3.9.1

$ npm -v
3.9.0

नोड

$ node -v
v6.2.0

यहां तक ​​कि इस कमांड का उपयोग करते हुए npm rebuild node-sass कुछ भी नहीं बदल रहा है।



आपको अपने नोडज के संस्करण की भी जांच करनी चाहिए। मैं नोड js के संस्करण 9 पर था, जो आधिकारिक तौर पर लेखन के समय समर्थित नहीं है। संस्करण 6.11.4 पर वापस लौटना मेरे लिए समस्या तय कर दिया।


कुछ मामलों में आपको नोड-एसएएस लाइब्रेरी की स्थापना रद्द करने और स्थापित करने की आवश्यकता होती है। प्रयत्न:

npm uninstall --save-dev node-sass

तथा

npm install --save-dev node-sass

नोड मॉड्यूल निकालें: $ rm-rf नोड_modules

पुनः नोड मॉड्यूल स्थापित करें: $ npm स्थापित करें


मुझे नहीं पता कि यह यहां लागू होता है या नहीं, लेकिन मेरे लिए, मैंने सिर्फ n_modules हटा दिया है और पुनः इंस्टॉल किया है (npm install)। मुद्दा तय किया गया।


मेरे लिए यह काम किया:

sudo npm cache clean -f
sudo npm install -g n
sudo n 6.0.0

मैं विंडोज़ x64 प्लेटफ़ॉर्म के लिए एक ही मुद्दा था।

सिर्फ नोड-सास के नए संस्करण के साथ package.json को अपडेट किया गया क्योंकि इसके पुनर्निर्माण के लिए आपको पुनर्निर्माण के लिए दृश्य स्टूडियो बिल्ड वातावरण की आवश्यकता है जो एक निर्भरता के लिए स्थापित करने के लिए चूसना है:) ...

नवीनतम नोड-सास के साथ जाएं आपको ठीक होना चाहिए:

"node-sass": "^4.11.0",

यदि node-sass node_modules को अनइंस्टॉल और संस्थापित किया गया तो node_modules फोल्डर और node_modules को हटाने की कोशिश नहीं की गई


npm स्थापित या npm नोड-एसएएस पुनर्निर्माण

समस्याओं को ठीक करता है

कृपया देखें: https://github.com/sass/node-sass/issues/1764


जुलाई 2019 तक नोड v12 के साथ -

नोड- sass v4.11.0 नोड 12 के साथ काम नहीं करता है।

जब मैंने नोड को v12 में अपग्रेड किया तो मुझे इस समस्या का सामना करना पड़ा।

अन्य उत्तरों द्वारा सुझाए गए नोड-एसएएस के पुनर्निर्माण ने भी काम नहीं किया।

नोड-एसओएस को v4.12.0 में अपग्रेड करना मेरे लिए इसे तय किया।

npm install [email protected]





node-sass